POST api/Feeds/EmployerBI/GetEmployerBI
Request Information
URI Parameters
None.
Body Parameters
EmployerBIInput| Name | Description | Type | Additional information |
|---|---|---|---|
| ReportNumber | FieldDetailsInt |
None. |
|
| APIToken | FieldDetailsString |
None. |
Request Formats
application/json, text/json
Sample:
{
"reportNumber": {
"value": 1,
"field": "sample string 2"
},
"apiToken": {
"value": "sample string 1",
"field": "sample string 2"
}
}
application/xml, text/xml
Sample:
<EmployerBIInput xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/APIService.Models.Feeds">
<APIToken xmlns:d2p1="http://schemas.datacontract.org/2004/07/APIService.Models.Error">
<d2p1:Field>sample string 2</d2p1:Field>
<d2p1:Value>sample string 1</d2p1:Value>
</APIToken>
<ReportNumber xmlns:d2p1="http://schemas.datacontract.org/2004/07/APIService.Models.Error">
<d2p1:Field>sample string 2</d2p1:Field>
<d2p1:Value>1</d2p1:Value>
</ReportNumber>
</EmployerBIInput>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
EmployerBIOutput| Name | Description | Type | Additional information |
|---|---|---|---|
| ApiErrorMessage | string |
None. |
|
| Results | Collection of Object |
None. |
Response Formats
application/json, text/json
Sample:
{
"apiErrorMessage": "sample string 1",
"results": [
{},
{}
]
}
application/xml, text/xml
Sample:
<EmployerBIOutput xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/APIService.Models.Feeds">
<ApiErrorMessage>sample string 1</ApiErrorMessage>
<Results xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:anyType />
<d2p1:anyType />
</Results>
</EmployerBIOutput>